pycurl (7.19.5.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Use pypi.debian.net mirror.
  * d/control: Bump Standards-Version to 3.9.6

 -- Barry Warsaw <barry@debian.org>  Mon, 27 Apr 2015 16:57:54 -0400

pycurl (7.19.5-3) unstable; urgency=medium

  * d/watch: Updated download URL to point to PyPI.
  * d/patches/0003-upstream-issue-210.patch: Added a proposed fix for
    upstream issue #210.

 -- Barry Warsaw <barry@debian.org>  Tue, 14 Oct 2014 16:56:10 -0400

pycurl (7.19.5-2) unstable; urgency=medium

  * d/control: Update the Vcs-* headers for the move to git-dpm.

 -- Barry Warsaw <barry@debian.org>  Wed, 01 Oct 2014 19:42:50 -0400

pycurl (7.19.5-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Tosi ]
  * debian/control
    - fix short description (adding py3k tag to the right package); thanks to
      bodrato for the report; Closes: #739712

  [ Andreas Metzler ]
  * debian/control
    - Drop build-depency on librtmp-dev, as it is not in "curl-config
      --static-libs", otoh add one for libgnutls28-dev, since pycurl.c 
      #includes <gnutls/gnutls.h>. Closes: #751059
      (Applied from NMU diff by Barry Warsaw.  Closes: #756199)

  [ Barry Warsaw ]
  * New upstream release.
  * Place myself as Maintainer with previous maintainer's approval.
  * debian/control, debian/rules:
    - Back ported Ubuntu change to split the docs into a separate
      python-pycurl-doc package.  This breaks the dependency of python3-curl
      on python-curl.  Given by Matthias Klose.  Closes: #757694
  * debian/control:
    - Add Suggests on python-curl-doc.
    - Update long descriptions.
    - wrap-and-sort
  * debian/rules:
    - Added --with sphinxdoc.
    - In override_dh_auto_build, call `make gen` since the upstream
      tarball does not seem to contain the generated src/docstrings.{h,c}
      files.
    - Updated override_dh_installdocs for the upstream moved docs directory.
  * debian/copyright: Added short license description to LGPL part to quiet
    lintian warning empty-short-license-in-dep5-copyright.
  * debian/python-pycurl-doc.doc-base: Renamed from python-pycurl.doc-base
    and fixed links.
  * debian/python-pycurl.dirs: Removed.
  * debian/patches/20_build_doc_for_debian.patch: Updated and refreshed.

 -- Barry Warsaw <barry@debian.org>  Tue, 30 Sep 2014 17:38:05 -0400

pycurl (7.19.3.1-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * Removing myself from uploaders. 

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - switch me to Maintainer (team to Uploaders)
  * debian/copyright
    - used DEP-5 format
    - updated upstream & packaging copyright information
  * debian/patches/10_setup.py.patch
    - refreshed
  * Build and install doc from ReST files
  * debian/rules
    - use dh_installdocs to link doc dirs to main package
  * Build Python 3 packages

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Feb 2014 16:57:18 +0100

pycurl (7.19.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - updated MIT copyright holders
    - added new file license information
  * debian/patches/10_setup.py.patch
    - refreshed to new upstream code
  * debian/{control, rules}
    - build and install documentation

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2014 22:06:19 +0100

pycurl (7.19.0.3-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_setup.py.patch
    - refreshed, due to new upstream code
  * debian/patches/{20_remove_string_options.patch,
      30_fix_refcounts_calling_reset_twice.patch,
      40_add_CURLOPT_SEEKFUNCTION_and_CURLOPT_SEEKDATA.patch,
      debian/patches/50_dont_leak_user_agent.patch}
    - removed, merged upstream
  * debian/rules
    - run tests using nosetests
    - install README.rst in the documentation
    - Remove documentation as installed by setup.py
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
    - added nose/bottle/cherrypy3 to b-d, needed to run tests
  * debian/{control, rules}
    - Switch to dh_python2; thanks to Barry Warsaw for the report and patch;
      Closes: #635630

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2014 18:25:52 +0100

pycurl (7.19.0-7) unstable; urgency=low

  * NOT RELEASED YET

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Apr 2011 22:11:01 +0200

pycurl (7.19.0-4) unstable; urgency=low

  * Add the now!? missing librtmp-dev build-dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Apr 2011 19:37:02 +0200

pycurl (7.19.0-3) unstable; urgency=low

  * Fix FTBFS on kfreebsd, thanks to KiBi (Closes: #540980).
  * Bump Standards-version to 3.8.3, no changes needed. 

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Sep 2009 18:03:31 +0200

pycurl (7.19.0-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 3.8.2 (no changes needed)

  [ Bernd Zeimetz ]
  * Use /usr/bin/curl-config --version to find the libcurl version
    to depend on (Closes: #527546). Thanks to Samuel Bronson.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 07 Aug 2009 18:00:37 +0200

pycurl (7.19.0-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/control:
    - Rising the priority to optional, as we have rdepends in optional.
  * Switching from python-central to python-support. 
  * Support building for Python 2.6. 

  [ Sandro Tosi ]
  * New upstream release.
  * debian/control
    - bump libcurl4-gnutls-dev versioned depends to >= 7.19.0
    - updated my email address
    - bump Standards-Version to 3.8.1
      + added debian/README.source
    - added Vcs-{Browser,Svn} fields
    - added ${misc:Depends} to binary packages
    - switch Vcs-Browser field to viewsvn
    - adjusted section to 'debug' for -dbg package
    - force libcurl3-gnutls depends to at least on version 7.19.0;
      Closes: #527546
  * debian/patches/10_setup.py.dpatch
    - added description (to please lintian) and updated my email address
  * debian/copyright
    - used the correct location of LGPL 2.1 on local machine

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 May 2009 22:33:30 +0200

pycurl (7.18.2-1) unstable; urgency=low

  * New upstream release.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Jun 2008 13:15:53 +0200

pycurl (7.18.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * Adopting packages (Closes: #481074)
  * New upstream release.
  * debian/control
    - set the team as Maintainer
    - added Bernd Zeimetz and me in Uploaders, removing Matthias Klose
    - bumped Build-Dep on libcurl4-gnutls-dev to (>= 7.18.1)
    - added dpatch Build-Dep
    - bumped Standards-Version to 3.7.3 (no changes)
    - moved Homepage field to source stanza
    - updated dependency for -dbg extension to python-pycurl to use
      ${binary:Version}, to be binNMU safe
    - fixed a mispell of Python in Description
  * debian/rules
    - added dpatch stuff
    - using setup.py for install and clean targets
    - running some tests at build-time
  * debian/patches/10_setup.py.dpatch
    - added to remove direct upstream code modification
  * debian/python-pycurl.doc-base
    - Section updated to Programming/Python
  * debian/copyright
    - indented upstream authors, copyright and license with 4 spaces
    - separated copyright and license notice
    - extended years in Copyright notice
    - explicitly identified LGPL location on filesystem
    - added dual licensing, including MIT license text

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 Jun 2008 19:17:08 +0200

pycurl (7.16.4-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 18 Jul 2007 17:54:16 +0200

pycurl (7.16.2.1-3) unstable; urgency=low

  * Fixed package description (closes: #423905).
  * Merge from Ubuntu:
    - build a python-pycurl-dbg package.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 28 May 2007 01:14:33 +0200

pycurl (7.16.2.1-2) unstable; urgency=low

  * Proper SSL library flavour is now known during build.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 14 May 2007 01:17:33 +0200

pycurl (7.16.2.1-1) unstable; urgency=low

  * New upstream release.
  * Build depends on libcurl4-gnutls-dev (closes: #423446, #423632).
  * Use dh_pycentral instead of dh_python.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 10 May 2007 16:29:02 +0200

pycurl (7.15.5-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 11 Aug 2006 08:58:26 +0200

pycurl (7.15.4.2-2) unstable; urgency=low

  * Fixed reversed logic in acquring python thread lock (closes: #380156).
    Patch courtesy of Bastian Kleineidam.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  8 Aug 2006 08:22:16 +0200

pycurl (7.15.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 25 Jul 2006 11:01:26 +0200

pycurl (7.15.4-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 27 Jun 2006 17:16:37 +0200

pycurl (7.15.2-2) unstable; urgency=low

  * Adopt to the new python policy.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 18:49:11 +0200

pycurl (7.15.2-1) unstable; urgency=low

  * New upstream release.
  * Adopted debhelper's compatibility level 5.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  7 Mar 2006 10:05:16 +0100

pycurl (7.15.0-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 18 Oct 2005 11:22:23 +0200

pycurl (7.14.1-1) experimental; urgency=low

  * New upstream release.
  * Switched to libcurl3-gnutls-dev build dependency.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 18 Sep 2005 00:48:54 +0200

pycurl (7.14.0-2) unstable; urgency=low

  * Matthias Klose:
    - Dropped package python2.2-pycurl.
    - Improved the build process.

  * Domenico Andreoli:
    - Applied Matthias' patch :) (closes: #320064).

 -- Domenico Andreoli <cavok@debian.org>  Thu,  4 Aug 2005 00:33:41 +0200

pycurl (7.14.0-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 20 Jun 2005 11:34:16 +0200

pycurl (7.13.2-2) unstable; urgency=low

  * Applied patch to build also on GNU/kFreeBSD (closes: #304857).

 -- Domenico Andreoli <cavok@debian.org>  Sat, 16 Apr 2005 13:32:16 +0200

pycurl (7.13.2-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Fri,  8 Apr 2005 18:13:35 +0200

pycurl (7.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Mon,  7 Mar 2005 14:51:16 +0100

pycurl (7.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 12 Feb 2005 23:52:49 +0100

pycurl (7.12.3-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Sat,  1 Jan 2005 22:05:24 +0100

pycurl (7.12.2-4) unstable; urgency=low

  * python2.4-pycurl now correctly suggests libcurl3-dev

 -- Domenico Andreoli <cavok@debian.org>  Tue, 21 Dec 2004 09:21:48 +0100

pycurl (7.12.2-3) unstable; urgency=low

  * New python2.4-pycurl package.
  * Added watch file.

 -- Domenico Andreoli <cavok@debian.org>  Wed,  1 Dec 2004 00:07:48 +0100

pycurl (7.12.2-2) unstable; urgency=low

  * Updated build dependency on libcurl3-dev >= 7.12.2.

 -- Domenico Andreoli <cavok@debian.org>  Sat,  6 Nov 2004 12:09:52 +0100

pycurl (7.12.2-1) unstable; urgency=low

  * New upstream release.
  * Added Matthias Klose as uploader.

 -- Domenico Andreoli <cavok@debian.org>  Sat,  6 Nov 2004 11:31:31 +0100

pycurl (7.12.1-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 16 Aug 2004 14:44:16 +0200

pycurl (7.12-2) unstable; urgency=low

  * Upgraded to libcurl3.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 20 Jul 2004 12:26:21 +0200

pycurl (7.12-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Sat, 12 Jun 2004 19:14:23 +0200

pycurl (7.11.3-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 17 May 2004 18:22:29 +0200

pycurl (7.11.2-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 28 Apr 2004 11:21:39 +0200

pycurl (7.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 22 Mar 2004 14:31:06 +0100

pycurl (7.11.0-2) unstable; urgency=low

  * Fixed build depends on libcurl2-dev (>= 7.11.0-1).

 -- Domenico Andreoli <cavok@debian.org>  Thu,  4 Mar 2004 17:55:02 +0100

pycurl (7.11.0-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Thu,  4 Mar 2004 17:20:37 +0100

pycurl (7.10.8-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 11 Nov 2003 23:46:59 +0100

pycurl (7.10.6-1) unstable; urgency=low

  * New upstream release (closes: #206658).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 22 Aug 2003 13:41:09 +0200

pycurl (7.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 14 Jul 2003 19:22:53 +0200

pycurl (7.10.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 12 May 2003 21:17:44 +0200

pycurl (7.10.4-1) unstable; urgency=low

  * New upstream release.
  * Changed section to python.
  * New python2.3-pycurl package.

 -- Domenico Andreoli <cavok@debian.org>  Fri,  4 Apr 2003 23:47:19 +0200

pycurl (7.10.3-2) unstable; urgency=low

  * Updated build dependencies in order to use new libcurl2-dev package
    (closes: #179230).

 -- Domenico Andreoli <cavok@debian.org>  Thu,  6 Feb 2003 02:39:52 +0100

pycurl (7.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 16 Jan 2003 00:51:21 +0100

pycurl (7.10.2-2) unstable; urgency=low

  * It now suggests libcurl-dev for documentation (closes: #171402).
  * Improved long description.
  * Added file README.Debian to explain why a PycURL user may be willing
    to install libcurl-dev package.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 18 Dec 2002 02:02:17 +0100

pycurl (7.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 24 Nov 2002 15:41:40 +0100

pycurl (7.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 16 Oct 2002 19:59:22 +0200

pycurl (7.10-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Wed,  2 Oct 2002 23:07:23 +0200

pycurl (7.9.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Wed,  2 Oct 2002 01:21:35 +0200

pycurl (7.9.8.2-3) unstable; urgency=low

  * It is now built using python 2.2.
  * Fixed the last reference to unversioned python in debian/rules
    (closes: #161201).

 -- Domenico Andreoli <cavok@debian.org>  Wed, 18 Sep 2002 02:38:42 +0200

pycurl (7.9.8.2-2) unstable; urgency=low

  * Fixed the incorrect assumption of python being python2.1
    (closes: #160315).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 13 Sep 2002 03:15:57 +0200

pycurl (7.9.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 17 Jul 2002 01:10:53 +0200

pycurl (7.9.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 28 Jun 2002 00:39:20 +0200

pycurl (7.9.8-1) unstable; urgency=low

  * New upstream release.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 25 Jun 2002 20:45:13 +0200

pycurl (7.9.7-2) unstable; urgency=low

  * Fixed the assumption on i586 as the build system (closes: #150001).

 -- Domenico Andreoli <cavok@debian.org>  Sat, 15 Jun 2002 15:39:41 +0200

pycurl (7.9.7-1) unstable; urgency=low

  * Initial release (closes: #149581).

 -- Domenico Andreoli <cavok@debian.org>  Mon, 10 Jun 2002 19:48:05 +0200
